
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

int i = 10;

void setup() {
  pinMode(18, OUTPUT); //Foczs
  pinMode(19, OUTPUT); //Auslöser
  Serial.begin(115200);

  if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { // Address 0x3D for 128x64
    Serial.println(F("SSD1306 allocation failed"));
    for(;;);
  }
  delay(2000);
  display.clearDisplay();

  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(0, 10);
  // Display static text
  display.println("Hello, world!");
  display.setCursor(0, 20);
  display.println("Hello, world!");
  display.display(); 
}

void foto() {
  digitalWrite(18, HIGH);
  delay(300);
  digitalWrite(19, HIGH);
  delay(100);
  digitalWrite(18, LOW);
  digitalWrite(19, LOW);
}

void loop() {
  if(i < 0){
    foto();
    i = 10;
  }
  display.clearDisplay();
  display.setCursor(0, 10);
  display.println("Take a Picture in");
  display.setCursor(0, 20);
  display.println(String(i) + " Secounds");
  display.display(); 
  i = i - 1;
  delay(1);
}
